;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10; Package: umweb -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          modlisp.asd
;;;; Purpose:       ASDF system definition file for modlisp package
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Dec 2002
;;;;
;;;; $Id: modlisp.asd,v 1.7 2003/07/08 06:40:00 kevin Exp $
;;;; *************************************************************************

(in-package #:cl-user)

#+(and sbcl (not sb-thread))
(error "This package requires the multitasking version of sbcl")

(eval-when (:compile-toplevel :load-toplevel :execute)
  #+sbcl (require :sb-bsd-sockets)
  #+lispworks (require "comm")
  #+allegro (require :socket))

(defpackage #:modlisp-system (:use #:cl #:asdf))
(in-package #:modlisp-system)

#+(or allegro clisp cmu lispworks sbcl)
(defsystem modlisp
    :depends-on (:kmrcl)
    :components
    ((:file "package")
     (:file "compat" :depends-on ("package"))
     (:file "variables" :depends-on ("package"))
     (:file #+(or allegro clisp cmu sbcl lispworks) "server"
;;	    #+lispworks "impl-lispworks"
	    :depends-on ("compat" "variables"))
     (:file "base"
	    :depends-on (#+(or allegro clisp cmu sbcl lispworks) "server"
;;			   #+lispworks "impl-lispworks"
			   ))
     (:file "utils" :depends-on ("base"))
     (:file "demo" :depends-on ("utils"))))
