;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10; Package: modlisp -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          base.lisp
;;;; Purpose:       Base data and functions for modlisp package
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Dec 2002
;;;;
;;;; $Id: variables.lisp,v 1.5 2003/07/08 06:40:00 kevin Exp $
;;;; *************************************************************************

(in-package #:modlisp)

(defvar *listener-count* 0
  "used to name listeners")

(defvar *worker-count* 0
  "used to name workers")

(defconstant +default-apache-port+ 20123
  "Default port for listen")

(defvar *apache-socket* nil
  "the socket stream to apache")

(defvar *number-server-requests* 0)
(defvar *number-worker-requests* 0)
(defvar *close-apache-socket* t)

(defclass listener ()
  ((port :initarg :port :accessor port) 
   (function :initarg :function :accessor listener-function
	     :initform nil)
   (function-args :initarg :function-args :accessor function-args
		  :initform nil)
   (process :initarg :process :accessor process)
   (socket :initarg :socket :accessor socket)
   (workers :initform nil :accessor workers
	    :documentation "list of worker threads")
   (name :initform "" :accessor name :initarg :name)
   (wait :initform nil :accessor wait :initarg :wait)
   (format :initform :text :accessor listener-format :initarg :format)))

(defvar *active-listeners* nil
    "List of active listeners")

(defclass worker ()
  ((listener :initarg :listener :accessor listener :initform nil)
   (connection :initarg :connection :accessor connection :initform nil)
   (name :initarg :name :accessor name :initform nil)
   (thread-fun :initarg :thread-fun :accessor thread-fun :initform nil)
   (process :initarg :process :accessor process :initform nil)))

  
